CREATE OR REPLACE
TRIGGER SALDKONT_ID_FIRMA
BEFORE INSERT OR UPDATE
ON SALDKONT
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.NNFIRMA_ID IS NULL) THEN
        IF (:NEW.NNLOCATION_ID IS NOT NULL) THEN
            SELECT COALESCE(NNFIRMA_ID, 1) INTO :NEW.NNFIRMA_ID FROM NNLOCATION WHERE ID = :NEW.NNLOCATION_ID;;
        ELSE
            :NEW.NNFIRMA_ID := 1;;
        END IF;;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2283, SYSDATE, '5.5', 2203, 'Saldkont trigger')
;
